﻿//-----------------------------------------------------------------------------
//  TenjiTexter
//  Copyright(c)2009 Masataka Shinke
//  <http://www.shinke.net/>  
//-----------------------------------------------------------------------------

///////////////////////////////////////////////////////////////////////////////
// ノーマルモード
static std::wstring j01[] = {
	L"ア",	L"⠁",		// !
	L"イ",	L"⠃",		// #
	L"ウ",	L"⠉",		// )
	L"エ",	L"⠋",		// +
	L"オ",	L"⠊",		// *
	L"カ",	L"⠡",		// A
	L"キ",	L"⠣",		// C
	L"ク",	L"⠩",		// I
	L"ケ",	L"⠫",		// K
	L"コ",	L"⠪",		// J
	L"サ",	L"⠱",		// Q
	L"シ",	L"⠳",		// S
	L"ス",	L"⠹",		// Y
	L"セ",	L"⠻",		// [
	L"ソ",	L"⠺",		// Z
	L"タ",	L"⠕",		// 5
	L"チ",	L"⠗",		// 7
	L"ツ",	L"⠝",		// =
	L"テ",	L"⠟",		// ?
	L"ト",	L"⠞",		// >
	L"ナ",	L"⠅",		// %
	L"ニ",	L"⠇",		// '
	L"ヌ",	L"⠍",		// -
	L"ネ",	L"⠏",		// /
	L"ノ",	L"⠎",		// .
	L"ハ",	L"⠥",		// E
	L"ヒ",	L"⠧",		// G
	L"フ",	L"⠭",		// M
	L"ヘ",	L"⠯",		// O
	L"ホ",	L"⠮",		// N
	L"マ",	L"⠵",		// U
	L"ミ",	L"⠷",		// W
	L"ム",	L"⠽",		// ]
	L"メ",	L"⠿",		// _
	L"モ",	L"⠾",		// ^
	L"ヤ",	L"⠌",		// ,
	L"ユ",	L"⠬",		// L
	L"ヨ",	L"⠜",		// <
	L"ラ",	L"⠑",		// 1
	L"リ",	L"⠓",		// 3
	L"ル",	L"⠙",		// 9
	L"レ",	L"⠛",		// ;
	L"ロ",	L"⠚",		// :
	L"ワ",	L"⠄",		// $
	L"",	L"⠆",		// &	//@@@@@@@@????
//	L"ヰ",	L"⠆",		// &
	L"！",	L"⠖",		// 6	L"ヱ"?
	L"ヲ",	L"⠔",		// 4
	L"ン",	L"⠴",		// T
	L"ー",	L"⠒",		// 2
	L"、",	L"⠰",		// P
	L"。",	L"⠲",		// R
	L"｜",	L"⠶",		// V
	L"ッ",	L"⠂",		// "
	L"＿",	L"⠤",		// D
	L"！",	L"⠢",		// B	? !
	L"　",	L"⠀",		// <SPACE>

	L"\r",	L"\r",		// \r
	L"\n",	L"\n"		// \n
	
};

///////////////////////////////////////////////////////////////////////////////
// 濁点モード（ッを前置）
static std::wstring j02[]={
	L"ヴ",	L"⠐⠉",		// )
	L"ガ",	L"⠐⠡",		// A
	L"ギ",	L"⠐⠣",		// C
	L"グ",	L"⠐⠩",		// I
	L"ゲ",	L"⠐⠫",		// K
	L"ゴ",	L"⠐⠪",		// J
	L"ザ",	L"⠐⠱",		// Q
	L"ジ",	L"⠐⠳",		// S
	L"ズ",	L"⠐⠹",		// Y
	L"ゼ",	L"⠐⠻",		// [
	L"ゾ",	L"⠐⠺",		// Z
	L"ダ",	L"⠐⠕",		// 5
	L"ヂ",	L"⠐⠗",		// 7
	L"ヅ",	L"⠐⠝",		// =
	L"デ",	L"⠐⠟",		// ?
	L"ド",	L"⠐⠞",		// >
	L"バ",	L"⠐⠥",		// E
	L"ビ",	L"⠐⠧",		// G
	L"ブ",	L"⠐⠭",		// M
	L"ベ",	L"⠐⠯",		// O
	L"ボ",	L"⠐⠮",		// N
	L"○",	L"⠐⠵",		// U
	L"×",	L"⠐⠿",		// _
	L"【",	L"⠐⠤",		//  D ?[.]
	L"・",	L"⠐⠀"		// <SPCAE> ?[.]

	/*
	L"\r",	L"⠐\r",	// \r
	L"\n",	L"⠐\n"		// \n
	*/
};
///////////////////////////////////////////////////////////////////////////////
// 半濁点モード
static std::wstring j03[]={
	L"パ",	L"⠠⠥",		// E
	L"ピ",	L"⠠⠧",		// G
	L"プ",	L"⠠⠭",		// M
	L"ペ",	L"⠠⠯",		// O
	L"ポ", 	L"⠠⠮"		// N
	
//	L"　", 	L"⠠⠀",		// <SPCAE> 
	/*
	L"\r",	L"⠠\r",	// \r
	L"\n",	L"⠠\n"		// \n
	*/
};
///////////////////////////////////////////////////////////////////////////////
// 拗音モード
static std::wstring j04[]={
	L"イェ",	L"⠈⠋",	// +
	L"キャ",	L"⠈⠡",	// A
	L"キュ",	L"⠈⠩",	// I
	L"キェ",	L"⠈⠫",	// K
	L"キョ",	L"⠈⠪",	// J
	L"シャ",	L"⠈⠱",	// Q
	L"スィ",	L"⠈⠳",	// S
	L"シュ",	L"⠈⠹",	// Y
	L"シェ",	L"⠈⠻",	// [
	L"ショ",	L"⠈⠺",	// Z
	L"チャ",	L"⠈⠕",	// 5
	L"ティ",	L"⠈⠗",	// 7
	L"チュ",	L"⠈⠝",	// =
	L"チェ",	L"⠈⠟",	// ?
	L"チョ",	L"⠈⠞",	// >
	L"ニャ",	L"⠈⠅",	// %
	L"ニュ",	L"⠈⠍",	// -
	L"ニェ",	L"⠈⠏",	// /
	L"ニョ",	L"⠈⠎",	// .
	L"ヒャ",	L"⠈⠥",	// E
	L"ヒュ",	L"⠈⠭",	// M
	L"ヒェ",	L"⠈⠯",	// O
	L"ヒョ",	L"⠈⠮",	// N
	L"ミャ",	L"⠈⠵",	// U
	L"ミュ",	L"⠈⠽",	// ]
	L"ミェ",	L"⠈⠿",	// _
	L"ミョ",	L"⠈⠾",	// ^
	L"リャ",	L"⠈⠑",	// 1
	L"リュ",	L"⠈⠙",	// 9
	L"リェ",	L"⠈⠛",	// ;
	L"リョ",	L"⠈⠚"	// :

//	L"　",		L"⠈⠀",	// <SPACE>
	
	/*
	L"\r",		L"⠈\r",	// \r
	L"\n",		L"⠈\n"		// \n
	*/
};
///////////////////////////////////////////////////////////////////////////////
// 濁拗音モード
static std::wstring j05[]={
	L"ギャ",	L"⠘⠡",	// A
	L"ギュ",	L"⠘⠩",	// I
	L"ギェ",	L"⠘⠫",	// K
	L"ギョ",	L"⠘⠪",	// J
	L"ジャ",	L"⠘⠱",	// Q
	L"ズィ",	L"⠘⠳",	// S
	L"ジュ",	L"⠘⠹",	// Y
	L"ジェ",	L"⠘⠻",	// [
	L"ジョ",	L"⠘⠺",	// Z
	L"ヂャ",	L"⠘⠕",	// 5
	L"ディ",	L"⠘⠗",	// 7
	L"ヂュ",	L"⠘⠝",	// =
	L"ヂェ",	L"⠘⠟",	// ?
	L"ヂョ",	L"⠘⠞",	// >
	L"ビャ",	L"⠘⠥",	// E
	L"ビュ",	L"⠘⠭",	// M
	L"ビェ",	L"⠘⠯",	// O
	L"ビョ",	L"⠘⠮"	// N
	/*
	L"\r",		L"⠘\r",	// \r
	L"\n",		L"⠘\n"		// \n
	*/
};
///////////////////////////////////////////////////////////////////////////////
// 半濁拗音モード
static std::wstring j06[]={
	L"テュ",	L"⠨⠝",		// =
	L"ピャ",	L"⠨⠥",		// E
	L"ピュ",	L"⠨⠭",		// M
	L"ピョ",	L"⠨⠮",		// N
	L"フュ",	L"⠨⠬",		// L
	L"フョ",	L"⠨⠜"		// <

	/*
	L"\r",		L"⠨\r",	// \r
	L"\n",		L"⠨\n"		// \n
	*/	
};
///////////////////////////////////////////////////////////////////////////////
// その他１
static std::wstring j07[]={
	L"デュ",	L"⠸⠝",	// =
	L"ヴュ",	L"⠸⠬",	// L
	L"ヴョ",	L"⠸⠜"	// <
	
//	L"　",		L"⠸⠀",	// <
	
	/*
	L"\r",		L"⠸\r",	// \r
	L"\n",		L"⠸\n"		// \n
	*/	
};
///////////////////////////////////////////////////////////////////////////////
// 合拗音（疑問符を前置）
static std::wstring j08[]={
	L"ウァ",	L"⠢⠁",	// !
	L"ウィ",	L"⠢⠃",	// #
	L"ウェ",	L"⠢⠋",	// +
	L"ウォ",	L"⠢⠊",	// *
	L"クァ",	L"⠢⠡",	// A
	L"クィ",	L"⠢⠣",	// C
	L"クェ",	L"⠢⠫",	// K
	L"クォ",	L"⠢⠪",	// J
	L"ツァ",	L"⠢⠕",	// 5
	L"ツィ",	L"⠢⠗",	// 7
	L"トゥ",	L"⠢⠝",	// =
	L"ツェ",	L"⠢⠟",	// ?
	L"ツォ",	L"⠢⠞",	// >
	L"ファ",	L"⠢⠥",	// E
	L"フィ",	L"⠢⠧",	// G
	L"フェ",	L"⠢⠯",	// O
	L"フォ",	L"⠢⠮"	// N
	
	/*
	L"？｜",	L"⠢⠆",	// D	// 注意
	L"？＿",	L"⠢⠤",	// D	// 注意
	L"？　",	L"⠢⠀",	// <SPCAE>
	L"？\r",	L"⠢\r",// \r
	L"？\n",	L"⠢\n"	// \n
	*/ 
	
};
///////////////////////////////////////////////////////////////////////////////
// 合濁拗音（句読点を前置）
static std::wstring j09[]={
	L"グァ",	L"⠲⠡",	// A
	L"グィ",	L"⠲⠣",	// C
	L"グェ",	L"⠲⠫",	// K
	L"グォ",	L"⠲⠪",	// J
	L"ヅァ",	L"⠲⠕",	// 5
	L"ヅィ",	L"⠲⠗",	// 7
	L"ドゥ",	L"⠲⠝",	// =
	L"ヅェ",	L"⠲⠟",	// ?
	L"ヅォ",	L"⠲⠞",	// >
	L"ヴァ",	L"⠲⠥",	// E
	L"ヴィ",	L"⠲⠧",	// G
	L"ヴェ",	L"⠲⠯",	// O
	L"ヴォ",	L"⠲⠮"	// N
	/*
	L"。＿",	L"⠲⠤",	// D
	
	L"。",		L"⠲⠀",	// <SPACE>
	L"。\r",	L"⠲\r",	// \r
	L"。\n",	L"⠲\n"		// \n
	*/
	
};
///////////////////////////////////////////////////////////////////////////////
// 数字（数符により遷移する）
static std::wstring j10[]={
	L"１",	L"⠁",		// !
	L"２",	L"⠃",		// #
	L"３",	L"⠉",		// )
	L"６",	L"⠋",		// +
	L"９",	L"⠊",		// *
	L"５",	L"⠑",		// 1
	L"８",	L"⠓",		// 3
	L"４",	L"⠙",		// 9
	L"７",	L"⠛",		// ;
	L"０",	L"⠚",		// :
//	L"二",	L"⠆",		// &
//	L"三",	L"⠒",		// 2
//	L"四",	L"⠲",		// R
	L"．",	L"⠂",		// "
	
//	L"\r",	L"\r",		// \r
//	L"\n",	L"\n",		// \n
	L"、",	L"⠼",		// 
	L"　",	L"⠀"		// <SPACE>	
	
};
///////////////////////////////////////////////////////////////////////////////
// ローマ字大（外字符により遷移する）
static std::wstring j11[]={
	L"Ａ",	L"⠁",		// 
	L"Ｂ",	L"⠃",		// 
	L"Ｃ",	L"⠉",		// 
	L"Ｄ",	L"⠙",		// 
	L"Ｅ",	L"⠑",		// 
	L"Ｆ",	L"⠋",		// 
	L"Ｇ",	L"⠛",		// 
	L"Ｈ",	L"⠓",		// 
	L"Ｉ",	L"⠊",		// 
	L"Ｊ",	L"⠚",		// 
	L"Ｋ",	L"⠅",		// 
	L"Ｌ",	L"⠇",		// 
	L"Ｍ",	L"⠍",		// 
	L"Ｎ",	L"⠝",		// 
	L"Ｏ",	L"⠕",		// 
	L"Ｐ",	L"⠏",		// 
	L"Ｑ",	L"⠟",		// 
	L"Ｒ",	L"⠗",		// 
	L"Ｓ",	L"⠎",		// 
	L"Ｔ",	L"⠞",		// 
	L"Ｕ",	L"⠥",		// 
	L"Ｖ",	L"⠧",		// 
	L"Ｗ",	L"⠺",		// 
	L"Ｘ",	L"⠭",		// 
	L"Ｙ",	L"⠽",		// 
	L"Ｚ",	L"⠵",		// 

	L"\r",	L"\r",		// \r
	L"\n",	L"\n",		// \n
	L"",	L"⠰"		// 外字符
				
}; 
///////////////////////////////////////////////////////////////////////////////
// ローマ字小（外字符により遷移する）
static std::wstring j12[]={
	L"ａ",	L"⠁",		// 
	L"ｂ",	L"⠃",		// 
	L"ｃ",	L"⠉",		// 
	L"ｄ",	L"⠙",		// 
	L"ｅ",	L"⠑",		// 
	L"ｆ",	L"⠋",		// 
	L"ｇ",	L"⠛",		// 
	L"ｈ",	L"⠓",		// 
	L"ｉ",	L"⠊",		// 
	L"ｊ",	L"⠚",		// 
	L"ｋ",	L"⠅",		// 
	L"ｌ",	L"⠇",		// 
	L"ｍ",	L"⠍",		// 
	L"ｎ",	L"⠝",		// 
	L"ｏ",	L"⠕",		// 
	L"ｐ",	L"⠏",		// 
	L"ｑ",	L"⠟",		// 
	L"ｒ",	L"⠗",		// 
	L"ｓ",	L"⠎",		// 
	L"ｔ",	L"⠞",		// 
	L"ｕ",	L"⠥",		// 
	L"ｖ",	L"⠧",		// 
	L"ｗ",	L"⠺",		// 
	L"ｘ",	L"⠭",		// 
	L"ｙ",	L"⠽",		// 
	L"ｚ",	L"⠵",		// 	
	
	L"\r",	L"\r",		// \r
	L"\n",	L"\n",		// \n
	L"",	L"⠰"		// 外字符
	
}; 
	
		


/*
⠀ ⠐ ⠠ ⠰ 
⠁ ⠑ ⠡ ⠱ 
⠂ ⠒ ⠢ ⠲ 
⠃ ⠓ ⠣ ⠳ 
⠄ ⠔ ⠤ ⠴ 
⠅ ⠕ ⠥ ⠵ 
⠆ ⠖ ⠦ ⠶ 
⠇ ⠗ ⠧ ⠷ 
⠈ ⠘ ⠨ ⠸ 
⠉ ⠙ ⠩ ⠹ 
⠊ ⠚ ⠪ ⠺ 
⠋ ⠛ ⠫ ⠻ 
⠌ ⠜ ⠬ ⠼ 
⠍ ⠝ ⠭ ⠽ 
⠎ ⠞ ⠮ ⠾ 
⠏ ⠟ ⠯ ⠿  

*/

