﻿//-----------------------------------------------------------------------------
//  TenjiTexter
//  Copyright(c)2009 Masataka Shinke
//  <http://www.shinke.net/>  
//-----------------------------------------------------------------------------

#pragma once
///////////////////////////////////////////////////////////////////////////////
// アルファベット（大文字）
static std::wstring e01[] = {
	L"A",	L"⠁",	// !
	L"B",	L"⠃",	// #
	L"C",	L"⠉",	// )
	L"D",	L"⠙",	// 9
	L"E",	L"⠑",	// 1
	L"F",	L"⠋",	// +
	L"G",	L"⠛",	// ;
	L"H",	L"⠓",	// 3
	L"I",	L"⠊",	// *
	L"J",	L"⠚",	// :
	L"K",	L"⠅",	// %
	L"L",	L"⠇",	// '
	L"M",	L"⠍",	// -
	L"N",	L"⠝",	// =
	L"O",	L"⠕",	// 5
	L"P",	L"⠏",	// /
	L"Q",	L"⠟",	// ?
	L"R",	L"⠗",	// 7
	L"S",	L"⠎",	// .
	L"T",	L"⠞",	// >
	L"U",	L"⠥",	// E
	L"V",	L"⠧",	// G
	L"W",	L"⠺",	// Z
	L"X",	L"⠭",	// M
	L"Y",	L"⠽",	// J
	L"Z",	L"⠵"	// U
,	L"\r",	L"\r",		// \r
	L"\n",	L"\n"		// \n

};
///////////////////////////////////////////////////////////////////////////////
// アルファベット（小文字）
static std::wstring e02[] = {
	L"a",	L"⠁",	// ! 
	L"b",	L"⠃",	// # 
	L"c",	L"⠉",	// )
	L"d",	L"⠙",	// 9
	L"e",	L"⠑",	// 1
	L"f",	L"⠋",	// +
	L"g",	L"⠛",	// ;
	L"h",	L"⠓",	// 3
	L"i",	L"⠊",	// *
	L"j",	L"⠚",	// :
	L"k",	L"⠅",	// % 
	L"l",	L"⠇",	// '
	L"m",	L"⠍",	// -
	L"n",	L"⠝",	// =
	L"o",	L"⠕",	// 5
	L"p",	L"⠏",	// /
	L"q",	L"⠟",	// ?
	L"r",	L"⠗",	// 7
	L"s",	L"⠎",	// .
	L"t",	L"⠞",	// >
	L"u",	L"⠥",	// E
	L"v",	L"⠧",	// G
	L"w",	L"⠺",	// Z
	L"x",	L"⠭",	// M
	L"y",	L"⠽",	// ]
	L"z",	L"⠵"	// U
,	L"\r",	L"\r",		// \r
	L"\n",	L"\n"		// \n
};
///////////////////////////////////////////////////////////////////////////////
// 記号
static std::wstring e03[] = {
	L" ",  L"⠀"	,	// <SPACE>	
	L",",  L"⠂",	// "
	L";",  L"⠆",	// &
	L":",  L"⠒",	// 2
	L".",  L"⠲",	// R
	L"!",  L"⠖",	// 6
	L"|",  L"⠶",	// V	//()
	L"?",  L"⠦",	// F
	L"*",  L"⠔",	// 4
//	L"”",  L"⠴",	// T
	L"\'", L"⠄",	// $
	L"-",  L"⠤"		// D
};
///////////////////////////////////////////////////////////////////////////////
// アクセント記号
static std::wstring e04[] = {
	L"à",	L"⠷",	// W
 	L"â",	L"⠡",	// A
 	L"ä/æ",	L"⠜",	// <
 	L"ç",	L"⠯",	// O
 	L"è",	L"⠮",	// N
 	L"é",	L"⠿",	// _
	L"ê",	L"⠣",	// C
 	L"ë",	L"⠫",	// K
 	L"ì",	L"⠌",	// ,
 	L"î",	L"⠩",	// I
 	L"ï",	L"⠻",	// [
 	L"ò",	L"⠬",	// L
	L"ô",	L"⠹",	// Y
 	L"ö/œ",	L"⠪",	// J
 	L"ù",	L"⠾",	// ^
 	L"û",	L"⠱",	// Q
 	L"ü",	L"⠳"	// S
};
///////////////////////////////////////////////////////////////////////////////
// 符号
///////////////////////////////////////////////////////////////////////////////
static std::wstring e05[] = {
	L"文字",	L"⠰",	// P
 	L"大文字",	L"⠠",	// @
 	L"数",		L"⠼",	// (
 	L"数見出",	L"⠈",	// "\"
 	L"文見",	L"⠘",	// 8
 	L"斜体",	L"⠨"	// H
};
///////////////////////////////////////////////////////////////////////////////
// 縮約形
///////////////////////////////////////////////////////////////////////////////
static std::wstring e06[] = {
	L"but",			L"⠃",		// #
 	L"can",			L"⠉",		// )
 	L"do",			L"⠙",		// 9
 	L"every",		L"⠑",		// 1
 	L"from",		L"⠋",		// +
 	L"go",			L"⠛",		// ;
	L"have",		L"⠓",		// 3
 	L"just",		L"⠚",		// :
 	L"knowledge",	L"⠅",		// %
 	L"like",		L"⠇",		// '
 	L"more",		L"⠍",		// -
 	L"not",			L"⠝",		// =
	L"people",		L"⠏",		// /
 	L"quite",		L"⠟",		// ?
 	L"rather",		L"⠗",		// 7
 	L"so",			L"⠎",		// .
 	L"that",		L"⠞",		// >
 	L"us",			L"⠥",		// E
	L"very",		L"⠧",		// G
 	L"will",		L"⠺",		// Z
 	L"it",			L"⠭",		// M
 	L"you",			L"⠽",		// ]
 	L"as",			L"⠵",		// U
 	L"and",			L"⠯",		// O
	L"for",			L"⠿",		// _
 	L"of",			L"⠷",		// W
 	L"the",			L"⠮",		// N
 	L"with",		L"⠾",		// ^
 	L"child/ch",	L"⠡",		// A
 	L"gh",			L"⠣",		// C
	L"shall/sh",	L"⠩",		// I
 	L"this/th",	L"⠹",		// Y
 	L"which/wh",	L"⠱",		// Q
 	L"ed",			L"⠫",		// K
 	L"er",			L"⠻",		// [
 	L"out/ou",		L"⠳",		// S
	L"ow",			L"⠪",		// J
 	L"bb",			L"⠆",		// &
 	L"cc",			L"⠒",		// 2
 	L"dd",			L"⠲",		// R
 	L"gg/were",	L"⠶",		// V
 	L"en",			L"⠢",		// B
	L"in",			L"⠔",		// 4
 	L"st",			L"⠌",		// ,
 	L"ing",			L"⠬",		// L
 	L"ar",			L"⠜"		// <
};
///////////////////////////////////////////////////////////////////////////////
// ２コマ略字
///////////////////////////////////////////////////////////////////////////////
static std::wstring e07[] = {
	L"cannot",		L"⠸⠉",		// 
	L"day",			L"⠐⠙",		//
	L"ound",		L"⠨⠙",		//
	L"ever",		L"⠐⠑",		//
	L"ance",		L"⠨⠑",		//
	L"ence",		L"⠰⠑",		//
	L"father",		L"⠐⠋",		//
	L"ong",			L"⠰⠛",		//
	L"here",		L"⠐⠓",		//
	L"had",			L"⠸⠓",		//
	L"know",		L"⠐⠅",		// 0
	L"lord",		L"⠐⠇",		// 0
	L"ful",			L"⠰⠇",		//
	L"mother",		L"⠐⠍",		// 0
	L"many",		L"⠸⠍",		//
	L"name",		L"⠐⠝",		// 0
	L"sion",		L"⠨⠝",		//
	L"tion",		L"⠰⠝",		//
	L"ation",		L"⠠⠝",		//
	L"one",			L"⠐⠕",		// 0
	L"part",		L"⠐⠏",		// 0
	L"question",	L"⠐⠟",		// 0
	L"right",		L"⠐⠗",		// 0
	L"some",		L"⠐⠎",		// 0
	L"less",		L"⠨⠎",		//
	L"ness",		L"⠰⠎",		//
	L"spirit",		L"⠸⠎",		//
	L"time",		L"⠐⠞",		// 0
	L"ount",		L"⠨⠞",		//
	L"ment",		L"⠰⠞",		//
	L"under",		L"⠐⠥",		// 0
	L"upon",		L"⠘⠥",		//
	L"work",		L"⠐⠺",		//
	L"word",		L"⠘⠺",		//
	L"world",		L"⠸⠺",		//
	L"young",		L"⠐⠽",		//
	L"ity",			L"⠰⠽",		//
	L"ally",		L"⠠⠽",		//
	L"there",		L"⠐⠮",		//
	L"these",		L"⠰⠮",		//
	L"their",		L"⠸⠮",		//
	L"character",	L"⠐⠡",		//
	L"through",	L"⠐⠹",		//
	L"those",		L"⠘⠹",		//
	L"where",		L"⠐⠱",		//
	L"whose",		L"⠘⠱",		//
	L"ought",		L"⠐⠳"		//
};

